#!/usr/bin/env python

import re
from setuptools import setup, find_packages

entry_points = {'console_scripts': [
    'eossr-codemeta2zenodo = eossr.scripts.eossr_codemeta2zenodo:main',
    'eossr-upload-new-deposit = eossr.scripts.eossr_upload_new_deposit:main',
    'eossr-upload-new-version-deposit = eossr.scripts.eossr_upload_new_version_deposit:main',
    'eossr-check-connection-zenodo = eossr.scripts.check_connection_zenodo:main'
    ]
}


def get_property(prop, project):
    result = re.search(r'{}\s*=\s*[\'"]([^\'"]*)[\'"]'.format(prop),
                       open(project + '/__init__.py').read())
    return result.group(1)


setup(
    name='eossr',
    version=get_property('__version__', 'eossr'),
    description="ESCAPE OSSR library",
    install_requires=[
        "requests",
        "pyzenodo3"
    ],
    packages=find_packages(),
    scripts=['eossr/scripts/parse_last_release_git.sh'],
    tests_require=['pytest'],
    author='Thomas Vuillaume & Enrique Garcia',
    author_email='vuillaume<at>lapp.in2p3.fr',
    url='https://gitlab.in2p3.fr/escape2020/wp3/eossr',
    license='MIT',
    entry_points=entry_points
)
